Subject: bug#34375: Problem with the 'to input' information in what-cursor-position

From: Robert Pluim <[email-masked]>
Date: Fri, 08 Feb 2019 08:09:48 +0100

Andy Smith <[email-masked]> writes:

> I ran what-cursor-position on a unicode char. Get the following ...
>
> position: 12 of 16 (69%), column: 0
>             character: Ő (displayed as Ő) (codepoint 336, #o520, #x150)
>     preferred charset: unicode (Unicode (ISO10646))
> code point in charset: 0x0150
>                script: latin
>                syntax: w which means: word
>              category: .:Base, L:Left-to-right (strong), j:Japanese, l:Latin
>              to input: type "C-x 8 RET 150" or "C-x 8 RET LATIN CAPITAL
> LETTER O WITH DOUBLE ACUTE"
>           buffer code: #xC5 #x90
>             file code: #xC5 #x90 (encoded by coding system utf-8-unix)
>               display: by this font (glyph code)
>     xft:-DAMA-Ubuntu Mono-normal-normal-normal-*-72-*-*-*-m-0-iso10646-1
>             (#x12E)
>
> If I follow the 'to input' instructions ... i.e "C-x 8 RET 150" this
> doesn't work. i.e. I can roundtrip and insert a copy of the character I
> initially looked up. Needed to do "C-x 8 RET 0150" instead.
>
> The to-input field maybe needs to display an octal string properly
> prefixed with a zero maybe?

(you didnʼt specify which version of Emacs youʼre using)

The number you need to enter is in hex, and C-x 8 ret implicitly
assumes that numbers entered are in hexadecimal format, at least in
26.1 and master, so I suspect youʼre not running either of those.

Robert